﻿--[[
Localization of text forBarKeep, a World of Warcraft addon to manage the Blizzard Bars.
Copyright (C) 2007 Platykurtic.  Localization code based on Tekkub's solution for TourGuide - many thanks!

	Thanks to popmissa for the Chinese localizations!

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
]]--
local localized
local loc = GetLocale()

--      BarKeepEnglish
local BarKeepEnglish = {
}

--      German
if loc == "deDE" then localized = {
--	["This allows you to set all the options for how BarKeep will manage the Action Bars."] = "Whatever this would be in German",
--	["BarKeep Locked"] = "",
--	["MicroBar Hidden"] = "",
--	["StanceBar Hidden"] = "",
--	["BagBar Hidden"] = "",
--	["BagBar Vertical"] = "",
--	["BagBar OneBag"] = "",
--	["BagBar KeyRing"] = "",
--	["BagBar Scale"] = "",
--	["MainBar Buttons"] = "",
--	["MainBar Rows"] = "",
--	["MainBar Scale"] = "",
--	["VehicleBar Scale"] = "",
--	["LeftBar Buttons"] = "",
--	["LeftBar Rows"] = "",
--	["LeftBar Scale"] = "",
--	["RightBar Buttons"] = "",
--	["RightBar Rows"] = "",
--	["RightBar Scale"] = "",
--	["MultiBarLeft Buttons"] = "",
--	["MultiBarLeft Rows"] = "",
--	["MultiBarLeft Scale"] = "",
--	["MultiBarRight Buttons"] = "",
--	["MultiBarRight Rows"] = "",
--	["MultiBarRight Scale"] = "",
--	["PetBar Rows"] = "",
--	["PetBar Scale"] = "",
--	["PossessBar Scale"] = "",
--	["pet"] = "",
--	["possess"] = "",
} end

--      French	
if loc == "frFR" then localized = {
--	["This allows you to set all the options for how BarKeep will manage the Action Bars."] = "Whatever this would be in French",
} end

--	Spanish & Mexican Spanish
if loc == "esES" then localized = {
--	["This allows you to set all the options for how BarKeep will manage the Action Bars."] = "Whatever this would be in Spanish",
} end
if loc == "esMX" then localized = {
--	["This allows you to set all the options for how BarKeep will manage the Action Bars."] = "Whatever this would be in Spanish",
} end

--	Korean
if loc == "koKR" then localized = {
--	["This allows you to set all the options for how BarKeep will manage the Action Bars."] = "Whatever this would be in Korean",
} end

--      Russian 
if loc == "ruRU" then localized = {
--	["This allows you to set all the options for how BarKeep will manage the Action Bars."] = "Whatever this would be in Russian",
} end

--	Chinese simplified & traditional
if loc == "zhCN" then localized = {
	["This allows you to set all the options for how BarKeep will manage the Action Bars."] = "在这里可以设置各种控制动作条的选项",
	["BarKeep Locked"] = "锁定BarKeep",
	["MicroBar Hidden"] = "隐藏菜单动作条",
	["StanceBar Hidden"] = "隐藏姿态条",
	["BagBar Hidden"] = "隐藏背包条",
	["BagBar Vertical"] = "背包条垂直",
--	["BagBar OneBag"] = "",
--	["BagBar KeyRing"] = "",
	["BagBar Scale"] = "背包条缩放",
	["MainBar Buttons"] = "主动作条按钮数",
	["MainBar Rows"] = "主动作条行数",
	["MainBar Scale"] = "主动作条缩放",
--	["VehicleBar Scale"] = "",
	["LeftBar Buttons"] = "左下动作条按钮数",
	["LeftBar Rows"] = "左下动作条行数",
	["LeftBar Scale"] = "左下动作条缩放",
	["RightBar Buttons"] = "右下动作条按钮数",
	["RightBar Rows"] = "右下动作条行数",
	["RightBar Scale"] = "右下动作条缩放",
	["MultiBarLeft Buttons"] = "右侧动作条2按钮数",
	["MultiBarLeft Rows"] = "右侧动作条2行数",
	["MultiBarLeft Scale"] = "右侧动作条2缩放",
	["MultiBarRight Buttons"] = "右侧动作条按钮数",
	["MultiBarRight Rows"] = "右侧动作条行数",
	["MultiBarRight Scale"] = "右侧动作条缩放",
--	["PetBar Rows"] = "",
	["PetBar Scale"] = "宠物条缩放",
	["PossessBar Scale"] = "控制栏缩放",
	["pet"] = "宠物",
	["possess"] = "控制",
} end
if loc == "zhTW" then localized = {
	["This allows you to set all the options for how BarKeep will manage the Action Bars."] = "在這里可以設置各種控制動作條的選項",
	["BarKeep Locked"] = "鎖定BarKeep",
	["MicroBar Hidden"] = "隐藏菜單動作條",
	["StanceBar Hidden"] = "隐藏姿态條",
	["BagBar Hidden"] = "隐藏背包條",
	["BagBar Vertical"] = "背包條垂直",
--	["BagBar OneBag"] = "",
--	["BagBar KeyRing"] = "",
	["BagBar Scale"] = "背包條縮放",
	["MainBar Buttons"] = "主動作條按鈕數",
	["MainBar Rows"] = "主動作條行數",
	["MainBar Scale"] = "主動作條縮放",
--	["VehicleBar Scale"] = "",
	["LeftBar Buttons"] = "左下動作條按鈕數",
	["LeftBar Rows"] = "左下動作條行數",
	["LeftBar Scale"] = "左下動作條縮放",
	["RightBar Buttons"] = "右下動作條按鈕數",
	["RightBar Rows"] = "右下動作條行數",
	["RightBar Scale"] = "右下動作條縮放",
	["MultiBarLeft Buttons"] = "右側動作條2按鈕數",
	["MultiBarLeft Rows"] = "右側動作條2行數",
	["MultiBarLeft Scale"] = "右側動作條2縮放",
	["MultiBarRight Buttons"] = "右側動作條按鈕數",
	["MultiBarRight Rows"] = "右側動作條行數",
	["MultiBarRight Scale"] = "右側動作條縮放",
--	["PetBar Rows"] = "",
	["PetBar Scale"] = "寵物條縮放",
	["PossessBar Scale"] = "控制欄縮放",
	["pet"] = "寵物",
	["possess"] = "控制",
} end

-- Metatable majicks... makes localized table fallback to BarKeepEnglish, or fallback to the index requested.
-- This ensures we ALWAYS get a value back, even if it's the index we requested originally
BARKEEP_LOCALE = localized and setmetatable(localized, {__index = function(t,i) return BarKeepEnglish[i] or i end}) or setmetatable(BarKeepEnglish, {__index = function(t,i) return i end})
